Subject: Re: [PATCH]: Fix networking scatterlist regressions.

From: Jens Axboe <[email-masked]>
Date: Wed, 31 Oct 2007 08:47:09 +0100

On Wed, Oct 31 2007, David Miller wrote:
> From: Jens Axboe <[email-masked]>
> Date: Wed, 31 Oct 2007 08:32:07 +0100
> 
> > [SG] Remove __sg_mark_end()
> > 
> > Make sg_mark_end() NOT overwrite the page link. Then it can be used
> > after filling the sg table, which is what users want. That means that
> > __sg_mark_end() is no longer useful, so kill it.
> > 
> > It's important the sg entries be initialized before using sg_mark_end(),
> > so also add a debug check to catch use-before-init.
> > 
> > Signed-off-by: Jens Axboe <[email-masked]>
> 
> Ok, but I just pushed my changes to Linus and once those show up
> you'll need to extend this patch to kill the '__' prefix from
> all the rest of the calls which will be in the tree.
> 
> Thanks!

No problem, I'll base further sg_mark_end() updates on top of yours.
Just need to get that last email I sent out resolved, the
gss_krb5_crypto bits.

-- 
Jens Axboe